TYPO3:
  CMS:
    Form:
      prototypes:
        standard:
          formElementsDefinition:
            Honeypot2:
              formEditor:
                editors:
                  100:
                    identifier: header
                    templateName: Inspector-FormElementHeaderEditor
                  200:
                    identifier: label
                    templateName: Inspector-TextEditor
                    label: formEditor.elements.FormElement.editor.label.label
                    propertyPath: label
                  900:
                    identifier: validators
                    templateName: Inspector-ValidatorsEditor
                    label: formEditor.elements.TextMixin.editor.validators.label
                    selectOptions:
                      10:
                        value: Honeypot2
                        label: formEditor.elements.TextMixin.editor.validators.Honeypot2.label
                  9999:
                    identifier: removeButton
                    templateName: Inspector-RemoveElementEditor
                predefinedDefaults:
                  validators:
                    - identifier: Honeypot2
                propertyCollections:
                  validators:
                    10:
                      identifier: Honeypot2
                      editors:
                        100:
                          identifier: header
                          templateName: Inspector-CollectionElementHeaderEditor
                          label: formEditor.elements.FormElement.editor.honeypot2Validator.label
                        9999:
                          identifier: removeButton
                          templateName: Inspector-RemoveElementEditor
                label: formEditor.elements.Honeypot2.label
                group: custom
                groupSorting: 800
                iconIdentifier: 'form-hidden'
              implementationClassName: TYPO3\CMS\Form\Domain\Model\FormElements\GenericFormElement
          formEditor:
            formEditorPartials:
              FormElement-Honeypot2: Stage/SimpleTemplate